size(300);
//unitsize(1cm);
//defaultpen(blue);

pair pA=(.3,8), pB=(4.8,10.8), pC=(12.3,8.3), pD=(11.4,3.6), pE=(1.8,4.1), pF=(5.5,6.2), pG=(9.3,.8), pH=(6.4,3.7), pI=(4,.4);



transform t=scale(0.75);
 
object objet_1=draw(t*"$A$",ellipse,pA,
		    xmargin=.1cm
		    );
object objet_2=draw(t*"$B$",ellipse,pB,
		    xmargin=.1cm
		    );
object objet_3=draw(t*"$C$",ellipse,pC,
		    xmargin=.1cm
		    );
object objet_4=draw(t*"$D$",ellipse, pD,
		    xmargin=.1cm
		    );
object objet_5=draw(t*"$E$",ellipse,pE,
		    xmargin=.1cm
		    );
object objet_6=draw(t*"$F$",ellipse, pF,
		    xmargin=.1cm
		    );
object objet_7=draw(t*"$G$",ellipse, pG,
		    xmargin=.1cm
		    );
object objet_8=draw(t*"$H$",ellipse, pH,
		    xmargin=.1cm
		    );
object objet_9=draw(t*"$I$",ellipse, pI,
		    xmargin=.1cm
		    );

add(new void(picture pic, transform t) {
//Fleches directes
    draw(pic, Label("\scriptsize $7$", align=Center, UnFill),
	 point(objet_1,pB-pA,t){pB-pA}..{pB-pA}point(objet_2,pA-pB,t));
   draw(pic, Label("\scriptsize $16$", align=Center, UnFill),
	 point(objet_1,pC-pA,t){pC-pA}..{pC-pA}point(objet_3,pA-pC,t));
   draw(pic, Label("\scriptsize $21$", align=Center, UnFill),
	 point(objet_1,pE-pA,t){pE-pA}..{pE-pA}point(objet_5,pA-pE,t));
   draw(pic, Label("\scriptsize $13$", align=Center, UnFill),
	 point(objet_2,pC-pB,t){pC-pB}..{pC-pB}point(objet_3,pB-pC,t));
   draw(pic, Label("\scriptsize $18$", align=Center, UnFill),
	 point(objet_2,pD-pB,t){pD-pB}..{pD-pB}point(objet_4,pB-pD,t));
   draw(pic, Label("\scriptsize $15$", align=Center, UnFill),
	 point(objet_2,pE-pB,t){pE-pB}..{pE-pB}point(objet_5,pB-pE,t));
   draw(pic, Label("\scriptsize $8$", align=Center, UnFill),
	 point(objet_2,pF-pB,t){pF-pB}..{pF-pB}point(objet_6,pB-pF,t));
   draw(pic, Label("\scriptsize $12$", align=Center, UnFill),
	 point(objet_3,pD-pC,t){pD-pC}..{pD-pC}point(objet_4,pC-pD,t));
   draw(pic, Label("\scriptsize $8$", align=Center, UnFill),
	 point(objet_3,pF-pC,t){pF-pC}..{pF-pC}point(objet_6,pC-pF,t));
   draw(pic, Label("\scriptsize $5$", align=Center, UnFill),
	 point(objet_4,pG-pD,t){pG-pD}..{pG-pD}point(objet_7,pD-pG,t));
   draw(pic, Label("\scriptsize $6$", align=Center, UnFill),
	 point(objet_4,pH-pD,t){pH-pD}..{pH-pD}point(objet_8,pD-pH,t));
   draw(pic, Label("\scriptsize $5$", align=Center, UnFill),
	 point(objet_5,pF-pE,t){pF-pE}..{pF-pE}point(objet_6,pE-pF,t));
   draw(pic, Label("\scriptsize $12$", align=Center, UnFill),
	 point(objet_5,pH-pE,t){pH-pE}..{pH-pE}point(objet_8,pE-pH,t));
   draw(pic, Label("\scriptsize $18$", align=Center, UnFill),
	 point(objet_5,pI-pE,t){pI-pE}..{pI-pE}point(objet_9,pE-pI,t));
   draw(pic, Label("\scriptsize $7$", align=Center, UnFill),
	 point(objet_6,pH-pF,t){pH-pF}..{pH-pF}point(objet_8,pF-pH,t));
   draw(pic, Label("\scriptsize $13$", align=Center, UnFill),
	 point(objet_7,pH-pG,t){pH-pG}..{pH-pG}point(objet_8,pG-pH,t));
   draw(pic, Label("\scriptsize $7$", align=Center, UnFill),
	 point(objet_7,pI-pG,t){pI-pG}..{pI-pG}point(objet_9,pG-pI,t));
   draw(pic, Label("\scriptsize $19$", align=Center, UnFill),
	 point(objet_8,pI-pH,t){pI-pH}..{pI-pH}point(objet_9,pH-pI,t));
  });


