usepackage("pifont");
size(300);
dotfactor=10;
defaultpen(fontsize(14pt));
pair p1=(0,0), p2=(1.2, -1), p3=(1,-3), p4=(2,1.25), p5=(2.5,-.5), p6=(2.75,-2), p7=(4,-1.5), p8=(4.25,-3), p9=(5,.75), p10=(5.5,-2.25);

dot("\ding{192}", p1, NW);
dot("\ding{193}", p2, SE);
dot("\ding{194}", p3, SW);
dot("\ding{195}", p4, NW);
dot("\ding{196}", p5, NE);
dot("\ding{197}", p6, S);
dot("\ding{198}", p7, E);
dot("\ding{199}", p8, SE);
dot("\ding{200}", p9, NE);
dot("\ding{201}", p10, SE);
label("$D$", p1, N+4*W);
label("$A$", p10, S+5*E);

draw(p1--p2);
draw(p1--p3);
draw(p1--p4);
draw(p2--p3);
draw(p2--p4);
draw(p2--p5);
draw(p3--p6);
draw(p3--p8);
draw(p4--p5);
draw(p4--p9);
draw(p5--p6);
draw(p5--p7);
draw(p6--p8);
draw(p7--p8);
draw(p7--p9);
draw(p8--p10);
draw(p9--p10);
