usepackage("pifont");
size(300);
dotfactor=10;
defaultpen(fontsize(14pt));
pair p1=(0,0), p2=(1.2, -1), p3=(1,-3), p4=(2,1.25), p5=(2.5,-.5), p6=(2.75,-2), p7=(4,-1.5), p8=(4.25,-3), p9=(5,.75), p10=(5.5,-2.25);

dot("\ding{192}", p1, NW);
dot("\ding{193}", p2, SE);
dot("\ding{194}", p3, SW);
dot("\ding{195}", p4, NW);
dot("\ding{196}", p5, NE);
dot("\ding{197}", p6, S);
dot("\ding{198}", p7, E);
dot("\ding{199}", p8, SE);
dot("\ding{200}", p9, NE);
dot("\ding{201}", p10, SE);
label("$D$", p1, N+4*W);
label("$A$", p10, S+5*E);

draw(Label("35", align=N), p1--p2);
draw(Label("15", align=W), p1--p3);
draw(Label("90", align=N), p1--p4);
draw(Label("25", align=E), p2--p3);
draw(Label("60", align=SE), p2--p4);
draw(Label("50", align=S), p2--p5);
draw(Label("25", align=N), p3--p6);
draw(Label("90", align=S), p3--p8);
draw(Label("35", align=E), p4--p5);
draw(Label("45", align=N), p4--p9);
draw(Label("40", align=E), p5--p6);
draw(Label("10", align=N), p5--p7);
draw(Label("55", align=N), p6--p8);
draw(Label("15", align=E), p7--p8);
draw(Label("20", align=W), p7--p9);
draw(Label("40", align=SE), p8--p10);
draw(Label("20", align=E), p9--p10);
