size(300);
//unitsize(1cm);
//defaultpen(blue);

pair pA=(3,0), pB=(5,1), pC=(5,-1), pD=(6,0), pE=(3.8,-1), pN=(0,0), pR=(1,-1), pV=(1,1), pT=(2.2,1);

transform t=scale(0.75);
 
object objet_1=draw(t*"$A$",ellipse,pA,
		    xmargin=.1cm
		    );
object objet_2=draw(t*"$B$",ellipse,pB,
		    xmargin=.1cm
		    );
object objet_3=draw(t*"$C$",ellipse,pC,
		    xmargin=.1cm
		    );
object objet_4=draw(t*"$D$",ellipse, pD,
		    xmargin=.1cm
		    );
object objet_5=draw(t*"$E$",ellipse,pE,
		    xmargin=.1cm
		    );
object objet_6=draw(t*"$N$",ellipse, pN,
		    xmargin=.1cm
		    );
object objet_7=draw(t*"$R$",ellipse, pR,
		    xmargin=.1cm
		    );
object objet_8=draw(t*"$V$",ellipse, pV,
		    xmargin=.1cm
		    );
object objet_9=draw(t*"$T$",ellipse, pT,
		    xmargin=.1cm
		    );

add(new void(picture pic, transform t) {
//Fleches directes
    draw(pic, Label("\scriptsize $35$", align=Center, UnFill),
	 point(objet_1,pB-pA,t){pB-pA}..{pB-pA}point(objet_2,pA-pB,t));
   draw(pic, Label("\scriptsize $12$", align=Center, UnFill),
	 point(objet_1,pE-pA,t){pE-pA}..{pE-pA}point(objet_5,pA-pE,t));
   draw(pic, Label("\scriptsize $58$", align=Center, UnFill),
	 point(objet_1,pR-pA,t){pR-pA}..{pR-pA}point(objet_7,pA-pR,t));
   draw(pic, Label("\scriptsize $25$", align=Center, UnFill),
	 point(objet_1,pT-pA,t){pT-pA}..{pT-pA}point(objet_9,pA-pT,t));
   draw(pic, Label("\scriptsize $24$", align=Center, UnFill),
	 point(objet_7,pT-pR,t){pT-pR}..{pT-pR}point(objet_9,pR-pT,t));
   draw(pic, Label("\scriptsize $53$", align=Center, UnFill),
	 point(objet_7,pE-pR,t){pE-pR}..{pE-pR}point(objet_5,pR-pE,t));
   draw(pic, Label("\scriptsize $41$", align=Center, UnFill),
	 point(objet_5,pB-pE,t){pB-pE}..{pB-pE}point(objet_2,pE-pB,t));
   draw(pic, Label("\scriptsize $63$", align=Center, UnFill),
	 point(objet_9,pB-pT,t){pB-pT}..{pB-pT}point(objet_2,pT-pB,t));
   draw(pic, Label("\scriptsize $19$", align=Center, UnFill),
	 point(objet_4,pB-pD,t){pB-pD}..{pB-pD}point(objet_2,pD-pB,t));
   draw(pic, Label("\scriptsize $18$", align=Center, UnFill),
	 point(objet_3,pB-pA,t){pD-pC}..{pD-pC}point(objet_4,pC-pD,t));
   draw(pic, Label("\scriptsize $38$", align=Center, UnFill),
	 point(objet_3,pE-pC,t){pE-pC}..{pE-pC}point(objet_5,pC-pE,t));
   draw(pic, Label("\scriptsize $21$", align=Center, UnFill),
	 point(objet_6,pR-pN,t){pR-pN}..{pR-pN}point(objet_7,pN-pR,t));
   draw(pic, Label("\scriptsize $32$", align=Center, UnFill),
	 point(objet_6,pV-pN,t){pV-pN}..{pV-pN}point(objet_8,pN-pV,t));
   draw(pic, Label("\scriptsize $16$", align=Center, UnFill),
	 point(objet_9,pV-pT,t){pV-pT}..{pV-pT}point(objet_8,pT-pV,t));
  });


