size(300);

pair pA=(0,2.5), pB=(3.5,4), pC=(6.5,2.5), pD=(5,0), pE=(8.5,5), pF=(10,1), pG=(10.5,3), pH=(13.5,2.5);

transform t=scale(0.75);
 
object objet_1=draw(t*"$A$",ellipse,pA,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_2=draw(t*"$B$",ellipse,pB,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_3=draw(t*"$C$",ellipse,pC,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_4=draw(t*"$D$",ellipse,pD,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_5=draw(t*"$E$",ellipse,pE,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_6=draw(t*"$F$",ellipse,pF,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_7=draw(t*"$G$",ellipse,pG,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));
object objet_8=draw(t*"$H$",ellipse,pH,
		    xmargin=.1cm,
		    filltype=FillDraw(invisible));


add(new void(picture pic, transform t) {
    draw(pic, Label("\scriptsize $100$", align=Center, black, UnFill),
	 point(objet_1,pB-pA,t){pB-pA}..{pB-pA}point(objet_2,pA-pB,t));
    draw(pic, Label("\scriptsize $175$", align=Center, black, UnFill),
	 point(objet_1,pC-pA,t){pC-pA}..{pC-pA}point(objet_3,pA-pC,t));
    draw(pic, Label("\scriptsize $158$", align=Center, black, UnFill),
	 point(objet_1,pD-pA,t){pD-pA}..{pD-pA}point(objet_4,pA-pD,t));

    draw(pic, Label("\scriptsize $114$", align=Center, black, UnFill),
	 point(objet_2,pC-pB,t){pC-pB}..{pC-pB}point(objet_3,pB-pC,t));
    draw(pic, Label("\scriptsize $150$", align=Center, black, UnFill),
	 point(objet_2,pE-pB,t){pE-pB}..{pE-pB}point(objet_5,pB-pE,t));

    draw(pic, Label("\scriptsize $95$", align=Center, black, UnFill),
	 point(objet_3,pD-pC,t){pD-pC}..{pD-pC}point(objet_4,pC-pD,t));
    draw(pic, Label("\scriptsize $65$", align=Center, black, UnFill),
	 point(objet_3,pE-pC,t){pE-pC}..{pE-pC}point(objet_5,pC-pE,t));
    draw(pic, Label("\scriptsize $70$", align=Center, black, UnFill),
	 point(objet_3,pF-pC,t){pF-pC}..{pF-pC}point(objet_6,pC-pF,t));

    draw(pic, Label("\scriptsize $107$", align=Center, black, UnFill),
	 point(objet_4,pF-pD,t){pF-pD}..{pF-pD}point(objet_6,pD-pF,t));

    draw(pic, Label("\scriptsize $82$", align=Center, black, UnFill),
	 point(objet_5,pG-pE,t){pG-pE}..{pG-pE}point(objet_7,pE-pG,t));
    draw(pic, Label("\scriptsize $113$", align=Center, black, UnFill),
	 point(objet_5,pH-pE,t){pH-pE}..{pH-pE}point(objet_8,pE-pH,t));

    draw(pic, Label("\scriptsize $31$", align=Center, black, UnFill),
	 point(objet_6,pG-pF,t){pG-pF}..{pG-pF}point(objet_7,pF-pG,t));
    draw(pic, Label("\scriptsize $112$", align=Center, black, UnFill),
	 point(objet_6,pH-pF,t){pH-pF}..{pH-pF}point(objet_8,pF-pH,t));

    draw(pic, Label("\scriptsize $49$", align=Center, black, UnFill),
	 point(objet_7,pH-pG,t){pH-pG}..{pH-pG}point(objet_8,pG-pH,t));

  });

